/**
 * Created by user on 2016/10/17.
 */
$(function () {
    //动态DOM添加
    inputctr.checkadd();
    //时间控件初始
    inputctr.timeinit($(".time-picker"));
    //日期控件初始带年龄
    inputctr.age($(".birthday-picker"));
    //日期控件初始
    inputctr.dateinit($(".date-picker"));
    //my97时间日期初始
    inputctr.datetime($(".dt-picker"));
    //科学计数法验证
    inputctr.kxcount($(".kxcount"));
    //乘法输入验证
    inputctr.count($(".count"));
    //关联填充
    inputctr.allocation($(".complete"));
    //文本框(除乘法科学计算)验证
    inputctr.textbox($(".textbox"));
    //选择输入值
    //inputctr.pcr($(".pcr"));
    //下拉框初始化
    inputctr.sel($(".psel"));
    //单多选框初始
    inputctr.crcs($(".pcheckbox,.pradio,.pbradio,.pbcheckbox,.poradios,.pocheckboxs"));
    //药品联动
    inputctr.drug($(".drugpicker,.threeLevelLinkage"));
    //药品 模糊 联动
    inputctr.drug_linkage($('.drug_linkage'));
    $("[data-toggle='tooltip']").tooltip();
    $('.dropdown-toggle').dropdown();
    //表格初始
    //inputctr.t = inputctr.ptable($('.table'));
    //$(".datepicker td").bind('click', function (event) {
    //    event.stopPropagation();
    //});
    //特殊表格
    $('.table-four').each(function () {
        inputctr.tablefour(this)
    })

    //省份城市 其他绑定事件
    $('[fieldinputtype="17"]').each(function () {
        $(this).find('select:eq(0)').change(function () {
            $(this).parents('.form-inline:first').find('.city_other').remove();
        });
        $(this).find('select:eq(1)').change(function () {
            if ($(this).val() == "其他") {
                var dom = '<div class="form-group city_other"><input type="text" class="form-control textbox" required></div>'
                $(this).parents('.form-inline:first').append(dom)
            } else {
                $(this).parents('.form-inline:first').find('.city_other').remove();
            }
        })
    });
});